> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get running average

> Get the running average for the specified count report if it is available, based on recent data



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/report/getRunningAverage
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/report/getRunningAverage:
    post:
      tags:
        - Report Webservice
      summary: Get running average
      description: >-
        Get the running average for the specified count report if it is
        available, based on recent data
      operationId: getRunningAverage
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Report_GetRunningAverageWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Report_GetRunningAverageWSResponse'
          description: OK
components:
  schemas:
    Report_GetRunningAverageWSRequest:
      type: object
      description: Request object for getting running average statistics.
      properties:
        endDate:
          type: string
          deprecated: true
          description: Deprecated input, use endTimeMs instead
          nullable: true
        endTimeMs:
          type: integer
          format: int64
          description: End datetime provided as a UNIX timestamp in milliseconds
          minimum: 0
          nullable: true
        interval:
          $ref: '#/components/schemas/ReportIntervalEnum'
        scope:
          $ref: '#/components/schemas/ReportScopeEnum'
        startDate:
          type: string
          deprecated: true
          description: Deprecated input, use startTimeMs instead
          nullable: true
        startTimeMs:
          type: integer
          format: int64
          description: Start datetime provided as a UNIX timestamp in milliseconds
          minimum: 0
          nullable: true
        timeZone:
          type: string
          description: String of timezone for bucketing
          example: America/Los_Angeles
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
      required:
        - interval
        - scope
    Report_GetRunningAverageWSResponse:
      type: object
      description: Response object for getting running average statistics.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        statsDataPoints:
          type: array
          description: List of weekly statistics data points
          items:
            $ref: '#/components/schemas/WeeklyStatisticsDataPoint'
          nullable: true
        warningMsg:
          type: string
          nullable: true
    ReportIntervalEnum:
      type: string
      description: Report interval for filtering face events
      enum:
        - MINUTELY
        - QUARTERHOURLY
        - HOURLY
        - DAILY
        - WEEKLY
        - MONTHLY
    ReportScopeEnum:
      type: string
      description: Scope of the report to reset
      enum:
        - REGION
        - DEVICE
        - LOCATION
        - ORG
    WeeklyStatisticsDataPoint:
      type: object
      description: List of weekly statistics data points
      properties:
        date:
          type: string
          nullable: true
        stats:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Stats'
          nullable: true
    Stats:
      type: object
      properties:
        avg:
          type: number
          format: float
          nullable: true
        stddev:
          type: number
          format: float
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````